[![npm (tag)](https://img.shields.io/npm/v/concordialang/alpha?color=green&label=NPM&style=for-the-badge)](https://github.com/thiagodp/concordialang/releases)
[![License](https://img.shields.io/npm/l/concordialang.svg?style=for-the-badge&color=green)](https://github.com/thiagodp/concordialang/blob/master/LICENSE.txt)
[![Build Status](https://img.shields.io/github/workflow/status/thiagodp/concordialang/Test?style=for-the-badge)](https://github.com/thiagodp/concordialang/actions)
[![GitHub last commit (branch)](https://img.shields.io/github/last-commit/thiagodp/concordialang/v2?style=for-the-badge)](https://github.com/thiagodp/concordialang/commit/v2)
[![Slack](https://img.shields.io/badge/slack-chat-blue.svg?style=for-the-badge)](https://bit.ly/concordialang)

# Concordia

> Automatically generates functional tests from your Agile requirements specification.

At a glance:

1. Write Agile requirements specifications in [Concordia Language](https://concordialang.gitbook.io/concordialang/introduction/language-overview) (currently available in English and Portuguese).

2. Use Concordia Compiler for setting the testing environment up for you.

3. Use Concordia Compiler for generating and executing **functional (UI) test scripts** from your Concordia specification, using [plug-ins](https://concordialang.gitbook.io/concordialang/introduction/plugins). *No coding required.*

And More:
- Concordia Compiler infers test data and test oracles and uses [effective testing techniques](https://concordialang.gitbook.io/concordialang/how-it-works/techniques#testing-techniques) to find bugs in your application.
- You can [create your own plug-in](https://concordialang.gitbook.io/concordialang/development/creating-a-plug-in) whether your favorite programming language or testing framework is not in [the list](https://concordialang.gitbook.io/concordialang/introduction/plugins).


## Documentation

- [Version 2](https://concordialang.gitbook.io/concordialang/) - _English_ 👈
- [Version 1](https://github.com/thiagodp/concordialang/tree/v1/docs) - _English and Portuguese_

## Installation

`npm i -D concordialang`

⚠ It will install version 2, that is currently in _alpha_ stage, although stable.

## See Also

- [Related Projects](https://concordialang.gitbook.io/concordialang/introduction/related-things) ❤
- [What's New in Version 2](https://github.com/thiagodp/concordialang/issues/56)
- [Latest Updates](https://github.com/thiagodp/concordialang/releases)

## License

[![AGPL](https://www.gnu.org/graphics/agplv3-88x31.png)](LICENSE.txt)

